Bug 68997 - Update port: audio/swhplugins to 0.4.4
Summary: Update port: audio/swhplugins to 0.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-13 17:40 UTC by tkato432
Modified: 2004-07-14 13:25 UTC (History)
0 users

See Also:


Attachments
file.diff (5.43 KB, patch)
2004-07-13 17:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2004-07-13 17:40:15 UTC
- Update to version 0.4.4

Remove file:
files/patch-configure
files/patch-gverb::Makefile.in
Comment 1 Kirill Ponomarev freebsd_committer 2004-07-13 17:47:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->krion

Grab.
Comment 2 tkato432 2004-07-14 10:29:45 UTC
Here is an up-to-date patch.


diff -urN /usr/ports/audio/swhplugins/Makefile audio/swhplugins/Makefile
--- /usr/ports/audio/swhplugins/Makefile	Sun Mar 28 10:39:06 2004
+++ audio/swhplugins/Makefile	Wed Jul 14 18:25:04 2004
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/audio/swhplugins/Makefile,v 1.17 2004/03/28 00:04:13 kris Exp $
 
 PORTNAME=	swhplugins
-PORTVERSION=	0.4.3
+PORTVERSION=	0.4.4
 CATEGORIES=	audio
 MASTER_SITES=	http://plugin.org.uk/releases/%SUBDIR%/
 MASTER_SITE_SUBDIR=	${PORTVERSION}
@@ -15,36 +15,43 @@
 COMMENT=	Steve Harris' huge Collection of LADSPA Plugins
 
 BUILD_DEPENDS=	${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
-LIB_DEPENDS=	fftw.2:${PORTSDIR}/math/fftw
+LIB_DEPENDS=	fftw3.3:${PORTSDIR}/math/fftw3
 
 # includes assember code
 ONLY_FOR_ARCHS=	i386 amd64
 
+USE_GNOME=	gnometarget lthack
 USE_REINPLACE=	yes
 USE_GMAKE=	yes
-USE_LIBTOOL_VER=	13
-GNU_CONFIGURE=	yes
-CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ENV=	CPPFLAGS="-fPIC -I${LOCALBASE}/include" \
-		LIBS="-L${LOCALBASE}/lib"
-CONFIGURE_ARGS+=	 --with-libintl-prefix=${LOCALBASE}
+USE_INC_LIBTOOL_VER=	13
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib"
 INSTALLS_SHLIB=	yes
 
-.if !defined(WITHOUT_NLS)
+.if defined(WITH_3DNOW)
+CONFIGURE_ARGS+=	--enable-3dnow
+.endif
+
+.if defined(WITHOUT_NLS)
+CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
+.else
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
-.else
-CONFIGURE_ARGS+=--disable-nls
-PLIST_SUB+=	NLS="@comment "
 .endif
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|^CFLAGS=|#CFLAGS=|g ; \
-		 s|INCLUDED_LIBINTL=yes|INCLUDED_LIBINTL=no|g ; \
-		 s|\\\$${top_builddir}/intl/libintl.a|-lintl|g ' \
-		${WRKSRC}/configure
-	@${REINPLACE_CMD} -e 's|#include <bits/nan.h>||g' \
-		${WRKSRC}/gverb/gverb-test.c
-	@${REINPLACE_CMD} -e 's|-lrt||g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|-O2 .*"|-lm"|g ; \
+		 s|-O6 .*"|-fPIC -DPIC"|g' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's| metadata||g ; \
+		 s|gcc |$$(CC) |g ; \
+		 s| -lc| $$(LDFLAGS)|g ; \
+		 s|-lrt||g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|<stdint\.h>|<inttypes.h>|g ; \
+		 s|ls_pcast |ls_pcast32 |g' ${WRKSRC}/ladspa-util.h
+
+post-install:
+	@${MKDIR} ${PREFIX}/share/ladspa/rdf
+	${INSTALL_DATA} ${WRKSRC}/metadata/*.rdf ${PREFIX}/share/ladspa/rdf
 
 .include <bsd.port.mk>
diff -urN /usr/ports/audio/swhplugins/distinfo audio/swhplugins/distinfo
--- /usr/ports/audio/swhplugins/distinfo	Sat Feb 28 23:25:14 2004
+++ audio/swhplugins/distinfo	Mon Jul 12 01:46:47 2004
@@ -1,2 +1,2 @@
-MD5 (swh-plugins-0.4.3.tar.gz) = b248491d770d3f3bdaa96b0431e4ecd3
-SIZE (swh-plugins-0.4.3.tar.gz) = 796358
+MD5 (swh-plugins-0.4.4.tar.gz) = f66f10f0ab64dad772576a0b34237187
+SIZE (swh-plugins-0.4.4.tar.gz) = 883723
diff -urN /usr/ports/audio/swhplugins/files/patch-configure audio/swhplugins/files/patch-configure
--- /usr/ports/audio/swhplugins/files/patch-configure	Sat Feb 28 20:01:00 2004
+++ audio/swhplugins/files/patch-configure	Thu Jan  1 09:00:00 1970
@@ -1,12 +0,0 @@
---- configure.orig	Sat Feb 28 11:17:58 2004
-+++ configure	Sat Feb 28 11:18:25 2004
-@@ -4440,9 +4440,6 @@
-   echo "configure: warning: May result in non-portable code" 1>&2
-     MACHINE="-mcpu=${build_cpu} -march=${build_cpu}"
-   if test ${build_cpu} = "powerpc"; then MACHINE=""; fi
--
--  CFLAGS="$CFLAGS -Wall -O6 -fomit-frame-pointer -fstrength-reduce -funroll-loops -fmove-all-movables -ffast-math -fPIC -DPIC ${MACHINE} ${USE_SSE}"
--
-         
-     fi
- 
diff -urN /usr/ports/audio/swhplugins/files/patch-gverb::Makefile.in audio/swhplugins/files/patch-gverb::Makefile.in
--- /usr/ports/audio/swhplugins/files/patch-gverb::Makefile.in	Sat Jul 19 07:26:22 2003
+++ audio/swhplugins/files/patch-gverb::Makefile.in	Thu Jan  1 09:00:00 1970
@@ -1,17 +0,0 @@
---- gverb/Makefile.in.dist	Sun Jun  1 14:00:49 2003
-+++ gverb/Makefile.in	Sun Jul 13 16:07:42 2003
-@@ -150,8 +150,12 @@
- 
- TAR = gtar
- GZIP_ENV = --best
--SOURCES = $(libgverb_a_SOURCES) gverb-test.c
--OBJECTS = $(libgverb_a_OBJECTS) gverb-test.$(OBJEXT)
-+# removed gverb-test for FreeBSD due to using i386 asm;
-+# it only seems to be a test harness in any case.
-+#SOURCES = $(libgverb_a_SOURCES) gverb-test.c
-+#OBJECTS = $(libgverb_a_OBJECTS) gverb-test.$(OBJEXT)
-+SOURCES = $(libgverb_a_SOURCES)
-+OBJECTS = $(libgverb_a_OBJECTS)
- 
- all: all-redirect
- .SUFFIXES:
diff -urN /usr/ports/audio/swhplugins/pkg-plist audio/swhplugins/pkg-plist
--- /usr/ports/audio/swhplugins/pkg-plist	Sun Mar 28 10:39:06 2004
+++ audio/swhplugins/pkg-plist	Wed Jul 14 18:21:59 2004
@@ -12,11 +12,12 @@
 lib/ladspa/comb_1190.so
 lib/ladspa/comb_1887.so
 lib/ladspa/comb_splitter_1411.so
+lib/ladspa/const_1909.so
 lib/ladspa/crossover_dist_1404.so
 lib/ladspa/dc_remove_1207.so
+lib/ladspa/decay_1886.so
 lib/ladspa/decimator_1202.so
 lib/ladspa/declip_1195.so
-lib/ladspa/decay_1886.so
 lib/ladspa/delay_1898.so
 lib/ladspa/delayorama_1402.so
 lib/ladspa/diode_1185.so
@@ -47,7 +48,9 @@
 lib/ladspa/karaoke_1409.so
 lib/ladspa/lcr_delay_1436.so
 lib/ladspa/lookahead_limiter_1435.so
+lib/ladspa/lookahead_limiter_const_1906.so
 lib/ladspa/lowpass_iir_1891.so
+lib/ladspa/ls_filter_1908.so
 lib/ladspa/matrix_ms_st_1421.so
 lib/ladspa/matrix_spatialiser_1422.so
 lib/ladspa/matrix_st_ms_1420.so
@@ -59,6 +62,7 @@
 lib/ladspa/pitch_scale_1193.so
 lib/ladspa/pitch_scale_1194.so
 lib/ladspa/plate_1423.so
+lib/ladspa/pointer_cast_1910.so
 lib/ladspa/rate_shifter_1417.so
 lib/ladspa/retro_flange_1208.so
 lib/ladspa/revdelay_1605.so
@@ -89,6 +93,7 @@
 lib/ladspa/zm1_1428.so
 share/ladspa/rdf/swh-aux.rdf
 share/ladspa/rdf/swh-plugins.rdf
+share/ladspa/rdf/swh-scales.rdf
 %%NLS%%share/locale/en_GB/LC_MESSAGES/swh-plugins.mo
 @unexec rmdir %D/share/ladspa/rdf 2>/dev/null || true
 @unexec rmdir %D/share/ladspa 2>/dev/null || true
Comment 3 Kirill Ponomarev freebsd_committer 2004-07-14 13:25:37 UTC
State Changed
From-To: open->closed

Committed, thanks!